import React from "react";
import { t } from "@lingui/macro";
import {ModelSelect} from "@rx-suite/ui";
import {ScannerOptionStore} from "../../stores/ScannerOptionStore";
import {observer} from "mobx-react-lite";

export const ScannerTypeSelect: React.FunctionComponent = observer(() => {
    const typeOptions = React.useMemo(() => {
        return ScannerOptionStore.models.map((option => ({
            label: `${option.type}`,
            value: `${option.type}`
        })))
    }, [ScannerOptionStore.models]);

    return (
        <ModelSelect
            name={t`type`}
            options={typeOptions}
            clearable
            loading={ScannerOptionStore.isLoading}
        />
    )
});