import * as React from 'react';
import {observer} from "mobx-react-lite";
import {FormProps, ModelForm, TabsContainer} from "@rx-suite/ui";
import {t} from '@lingui/macro';
import { ScannerConfigurationTab } from './tabs/ScannerConfigurationTab';
import { ScannerRuleTab } from './tabs/ScannerRuleTab';

export const ScannerForm: React.FunctionComponent<FormProps> = observer(({model}) => {
    return (
            <ModelForm model={model} suppressMakeCopy suppressImportExport>
                <TabsContainer
                    tabs={[
                        {
                            label: t`Scanner Configuration`,
                            component: <ScannerConfigurationTab model={model}/>,
                            defaultTab: true
                        },
                        {
                            label: t`Scanner Rules`,
                            component: <ScannerRuleTab model={model}/>
                        }
                    ]}
                />
            </ModelForm>
    )});