import {observer} from "mobx-react-lite";
import {SettingStore} from "../../stores/SettingStore";
import {LinearProgress, Typography} from "@material-ui/core";
import {CheckboxField, ModelForm} from "@rx-suite/ui";
import {ModelInput} from "@rx-suite/ui";
import React from "react";
import {t} from "@Lingui/macro";
import {Trans} from "@lingui/macro";

export const Settings = observer(() => {
    const settings = SettingStore.selectedModel;
    if(!settings) return <LinearProgress/>
    return (
        <ModelForm model={settings} suppressMakeCopy={true} suppressImportExport={true}>
            <Typography variant={'h5'}><Trans>Keep Alive Signal</Trans></Typography>
            <div>
                <CheckboxField name={'enable_keep_alive'} label={t`Enable Keep Alive Signal`} onChange={settings.handleCheckboxChange} checked={settings.viewModel.enable_keep_alive}/>
            </div>
            <ModelInput name={'keep_alive_interval'} disabled={!settings.viewModel.enable_keep_alive}/>
        </ModelForm>
    )
})
