import {dataStorePermission, PasswordResetForm, RouteDefinition} from "@rx-suite/ui";
import {ScannerStore} from './stores/ScannerStore';
import {ScannersBreadModel} from './pages/scanners/ScannersBreadModel';
import {t} from "@lingui/macro";
import {Settings} from "./pages/settings/Settings";
import {SettingStore} from "./stores/SettingStore";
import SettingsIcon from '@material-ui/icons/Settings';
import {FontAwesomeIcon} from "@fortawesome/react-fontawesome";
import {faScanner} from "@rx-suite/pro-solid-svg-icons";
import React from "react";

export const routes: RouteDefinition[] = [
    {
        to: "/",
        exact: false,
        permission: dataStorePermission(ScannerStore),
        Component: ScannersBreadModel,
    },
    {
        label: "Scanners",
        to: "/scanners",
        exact: false,
        permission: dataStorePermission(ScannerStore),
        Component: ScannersBreadModel,
        Icon: () => <FontAwesomeIcon icon={faScanner} style={{height: '22px', width: '22px'}}/>
    },
    {
        label: t`Settings`,
        to: "/settings",
        exact: false,
        permission: dataStorePermission(SettingStore),
        Component: Settings,
        Icon: SettingsIcon
    },
    {
        to: "/password_reset/:user/:token",
        exact: false,
        Component: PasswordResetForm,
    }
];
