import {attribute, DataStore, model, Model} from '@rx-suite/data';
import {t} from "@lingui/macro";

@model({
  transportLayer: "/api/settings",
  permissionTarget: "Setting",
  routingInfo: {
    create: "/settings/create",
    update: "/settings/:id/edit",
    read: "/settings/:id"
  },
  singleton: true
})
export class SettingModel extends Model {
  constructor() {
    super();
    super.setup(); // This registers the observable attributes and viewModel
  }

  @attribute({ label: t`Enable Keep Alive Signal`})
  enable_keep_alive: boolean = false;

  @attribute({ label: t`Interval (minutes)`})
  keep_alive_interval: number = 0;

  @attribute({ label: t`Created At`, autoForm: false })
  created_at: Date = new Date();

  @attribute({ label: t`Updated At`, autoForm: false })
  updated_at: Date = new Date();

}

export const SettingStore = SettingModel.store as DataStore<SettingModel>;
