class ScannerManager
  class UnknownScannerHandler < StandardError; end

  class << self
    def handlers
      @handlers ||= {}
    end

    def handler_for_model(model)
      if handlers[model.ip_address].nil?
        handlers[model.ip_address] = case model.type
          when 'WenglorB50'
            ScannerHandler::WenglorB50ScannerHandler.new(model)
          when 'SickClv62x'
            ScannerHandler::SickClv62xScannerHandler.new(model)
          when 'PepperlFuchsIqh1FpV1'
            ScannerHandler::PepperlFuchsIqh1FpV1ScannerHandler.new(model)
          when 'DatalogicMatrix120'
            ScannerHandler::DatalogicMatrix120ScannerHandler.new(model)
          else
            raise UnknownScannerHandler
          end
      end
      handlers[model.ip_address]
    end
  end
end